## prog.io
Class FileOutputManager

    java.lang.Object
      prog.io.FileOutputManager

    public class FileOutputManager

extends java.lang.Object

Le sue istanze consentono di gestire canali di comunicazione in scrittura verso un file.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`FileOutputManager(java.lang.String nomefile)` Apre un canale di comunicazione con il file il cui nome č specificato come argomento.
`FileOutputManager(java.lang.String nomeFile, boolean mod)` Apre un canale di comunicazione con il file il cui nome č specificato come argomento e nella modalitą specificata.

Method Summary
`void` `close()` Chiude il canale di comunicazione.
`boolean` `isClosed()` Per sapere se il canale č chiuso o aperto.
`void` `print(boolean b)` Scrive il valore booleano specificato come argomento.
`void` `print(char c)` Scrive il carattere specificato come argomento.
`void` `print(double d)` Scrive il floating point in doppia precisione specificato come argomento.
`void` `print(int i)` Scrive l'intero specificato come argomento.
`void` `print(long l)` Scrive il `long` specificato come argomento.
`void` `print(java.lang.Object o)` Scrive una rappresentazione dell'oggetto fornito come argomento.
`void` `print(java.lang.String s)` Scrive la stringa specificata come argomento.
`void` `printf(java.lang.String formato, java.lang.Object... args)` Stampa gli oggetti specificati come argomento utilizzando la stringa di formattazione specificata come primo argomento.
`void` `println()` Conclude la linea corrente e sposta il cursore a capo.
`void` `println(boolean b)` Scrive il valore booleano specificato come argomento e sposta il cursore a capo.
`void` `println(char c)` Scrive il carattere specificato come argomento e sposta il cursore a capo.
`void` `println(double d)` Scrive il floating point in doppia precisione specificato come argomento e sposta il cursore a capo.
`void` `println(int i)` Scrive l'intero specificato come argomento e sposta il cursore a capo.
`void` `println(long l)` Scrive il `long` specificato come argomento e sposta il cursore a capo.
`void` `println(java.lang.Object o)` Scrive l'oggetto specificato come argomento e sposta il cursore a capo.
`void` `println(java.lang.String s)` Scrive la stringa specificata come argomento e sposta il cursore a capo.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileOutputManager

    public FileOutputManager(java.lang.String nomeFile,
                             boolean mod)

  Apre un canale di comunicazione con il file il cui nome č specificato come argomento e nella modalitą specificata. Se il parametro `mod` vale `true` e il file esiste allora il file viene aperto in scrittura in modalitą append. Se il parametro `mod` vale `false` e il file esiste allora il file viene aperto in scrittura ma sovrascritto. Se il file non esiste viene invece creato.

  Parameters:
    `nomeFile` - il nome del file da aprire in scrittura.
    `mod` - modalitą di apertura.

### FileOutputManager

    public FileOutputManager(java.lang.String nomefile)

  Apre un canale di comunicazione con il file il cui nome č specificato come argomento. Se il file esiste viene sovrascritto. Se non esiste viene creato.

  Parameters:
    `nomefile` - il nome del file da aprire in scrittura.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### close

    public void close()

  Chiude il canale di comunicazione. Dopo l'invocazione di questo metodo, l'invocazione di un metodo di scrittura darą luogo ad un errore in fase di esecuzione.

### isClosed

    public boolean isClosed()

  Per sapere se il canale č chiuso o aperto.

  Returns:
    restituisce `true` se e solo se il canale č chiuso.

### print

    public void print(boolean b)

  Scrive il valore booleano specificato come argomento.

  Parameters:
    `b` - il booleano da scrivere.

### print

    public void print(char c)

  Scrive il carattere specificato come argomento.

  Parameters:
    `c` - il carattere da scrivere.

### print

    public void print(int i)

  Scrive l'intero specificato come argomento.

  Parameters:
    `i` - l'intero da scrivere.

### print

    public void print(long l)

  Scrive il `long` specificato come argomento.

  Parameters:
    `l` - l'intero `long` da scrivere.

### print

    public void print(double d)

  Scrive il floating point in doppia precisione specificato come argomento.

  Parameters:
    `d` - il floating point in doppia precisione da scrivere.

### print

    public void print(java.lang.String s)

  Scrive la stringa specificata come argomento.

  Parameters:
    `s` - la stringa da scrivere.

### print

    public void print(java.lang.Object o)

  Scrive una rappresentazione dell'oggetto fornito come argomento. Se l'argomento č `null` allora viene stampata la stringa `"null"`, altrimenti viene stampato il risultato di `o.toString()`.

  Parameters:
    `o` - l'oggetto da scrivere.

### println

    public void println(boolean b)

  Scrive il valore booleano specificato come argomento e sposta il cursore a capo.

  Parameters:
    `b` - il booleano da scrivere.

### println

    public void println(char c)

  Scrive il carattere specificato come argomento e sposta il cursore a capo.

  Parameters:
    `c` - il carattere da scrivere.

### println

    public void println(int i)

  Scrive l'intero specificato come argomento e sposta il cursore a capo.

  Parameters:
    `i` - l'intero da scrivere.

### println

    public void println(long l)

  Scrive il `long` specificato come argomento e sposta il cursore a capo.

  Parameters:
    `l` - l'intero `long` da scrivere.

### println

    public void println(double d)

  Scrive il floating point in doppia precisione specificato come argomento e sposta il cursore a capo.

  Parameters:
    `d` - il floating point in doppia precisione da scrivere.

### println

    public void println(java.lang.String s)

  Scrive la stringa specificata come argomento e sposta il cursore a capo.

  Parameters:
    `s` - la stringa da scrivere.

### println

    public void println(java.lang.Object o)

  Scrive l'oggetto specificato come argomento e sposta il cursore a capo. Se l'argomento č `null` allora viene stampata la stringa `"null"`, altrimenti viene stampato il risultato di `o.toString()`.

  Parameters:
    `o` - l'oggetto da scrivere.

### println

    public void println()

  Conclude la linea corrente e sposta il cursore a capo.

### printf

    public void printf(java.lang.String formato,
                       java.lang.Object... args)

  Stampa gli oggetti specificati come argomento utilizzando la stringa di formattazione specificata come primo argomento.

  Parameters:
    `formato` - la stringa di formattazione.
    `args` - la lista degli oggetti da stampare.